package com.muchinfo.mtp3pojos.vo;

import java.util.HashMap;
import java.util.Map;

public class ProtoErrorCodes {

    public static Map<String, String> errorMap = new HashMap<String, String>();

    public static String resultMsg(Integer code){
        return "("+code+")"+errorMap.get(code.toString());
    }

    /**
     * 小数位缓存
     */
    private static Map<String, Integer > qtyMap = new HashMap<String, Integer>();
    public static void putQtyMap(String key, Integer qty){
        qtyMap.put(key, qty);
    }
    public static Integer resultQtyMap(String key){
        return qtyMap.get(key);
    }

    public static boolean isHasQtyMap(String key){
        return qtyMap.containsKey(key);
    }

}
